package com.chenyang.nse.bussiness.engine.infa.basic.xmlbean;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.NormalizedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(
   name = ""
)
@XmlRootElement(
   name = "SAPPROGRAM"
)
public class SAPPROGRAM {
   @XmlAttribute(
      name = "NAME",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String name;
   @XmlAttribute(
      name = "PROGRAMTYPE",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String programtype;
   @XmlAttribute(
      name = "INSTALLTIME"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String installtime;
   @XmlAttribute(
      name = "HOSTNAME"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String hostname;
   @XmlAttribute(
      name = "USERNAME"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String username;
   @XmlAttribute(
      name = "CLIENTSPACE"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String clientspace;
   @XmlAttribute(
      name = "ISVALID"
   )
   @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
   protected String isvalid;

   public String getNAME() {
      return this.name;
   }

   public void setNAME(String value) {
      this.name = value;
   }

   public String getPROGRAMTYPE() {
      return this.programtype;
   }

   public void setPROGRAMTYPE(String value) {
      this.programtype = value;
   }

   public String getINSTALLTIME() {
      return this.installtime;
   }

   public void setINSTALLTIME(String value) {
      this.installtime = value;
   }

   public String getHOSTNAME() {
      return this.hostname;
   }

   public void setHOSTNAME(String value) {
      this.hostname = value;
   }

   public String getUSERNAME() {
      return this.username;
   }

   public void setUSERNAME(String value) {
      this.username = value;
   }

   public String getCLIENTSPACE() {
      return this.clientspace;
   }

   public void setCLIENTSPACE(String value) {
      this.clientspace = value;
   }

   public String getISVALID() {
      return this.isvalid;
   }

   public void setISVALID(String value) {
      this.isvalid = value;
   }
}
